Installer.com Docs
POST
/api/v1/products
AuthorizationBearer <token>

Installer.com auth token

In: header

Request Body

application/json

Insert product payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.installer.com/api/v1/products" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "currencyCode": "str"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "routerId": "c3d4372d-3cfa-4618-a60e-50a4c920823d",
  "productType": "product",
  "internalId": -2147483648,
  "externalId": "string",
  "name": "string",
  "description": "string",
  "sharedWithContractors": true,
  "isPublic": true,
  "isEditable": true,
  "unit": "string",
  "defaultNote": "string",
  "paymentSource": "PLATFORM",
  "currencyCode": "str",
  "isTaxInclusive": true,
  "vatRate": -2147483648,
  "payerUnitAmount": -2147483648,
  "payerUnitTotalAmount": -2147483648,
  "discountUnitAmount": -2147483648,
  "discountSourceType": "string",
  "workType": "string",
  "installerPayoutSharePercentage": -2147483648,
  "installerPayoutUnitAmount": -2147483648,
  "internalPrice": -2147483648,
  "updatedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "installerPayoutUnitAmountExcludingVat": 0,
  "images": [],
  "attachments": [],
  "tags": [],
  "partnerGroupPrice": 0
}